local Rx = require 'Rx'

local observableOfWithScheduler = Rx.Observable.ofWithScheduler

--------------------------------------------------------------------------------

return function(scheduler, ...)
    return observableOfWithScheduler(scheduler, ...):flatMergeAll()
end
